package com.zjrs.zwnw.zj.blo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.jbxxgl.po.VSAc01PO;
import com.zjrs.zwnw.zj.dto.*;
import com.zjrs.zwnw.zj.po.GccrcFjPO;
import com.zjrs.zwnw.zj.po.GccrcLsPO;
import com.zjrs.zwnw.zj.po.GccrcPO;
import com.zjrs.zwnw.zj.po.GccrcQfPO;
import org.springframework.web.multipart.MultipartFile;

import jakarta.servlet.http.HttpServletResponse;
import java.io.InputStream;
import java.util.List;
import java.util.Map;

public interface GccrcBLO {
    //高层次人才信息查询
    public GccrcInfoDTO getGccrcInfo(GccrcQueryByIdDTO dto);
    public int queryCntById(String rsZjGccrcLsh, String ztid);
    //高层次人才信息查询列表
    public PageResult getGccrcList(GccrcQueryDTO dto, int page, int rows);
    public String saveOrUpd(GccrcPO gccrcPO, GccrcLsPO gccrcLsPO);
    public String getDictAAA103(String AAA100, String AAA102);
    public String getArea(String areaCode);
    public Long getCntByZtid(GccrcSaveDTO dto);
    //高层次人才信息查询列表
    public PageResult getBglsList(GccrcQueryByIdPageDTO dto, int page, int rows);
    //高层次人才信息查询
    public GccrcQfInfoDTO getDzkxx(GccrcQfQueryDTO dto);
    public void saveIsZxGccrc(GccrcSaveIsZxDTO dto, GccrcLsPO gccrcLsPO);
    public PageResult getDzkqfList(GccrcQueryByIdPageDTO dto, int page, int rows);
    //新增/修改高层次人才信息
    public String getMaxLsh(GccrcInfoDTO dto);
    public void saveQfzt(GccrcInfoDTO gccrcInfoDTO, GccrcQfPO gccrcQfPO, GccrcLsPO gccrcLsPO, String nowDate);
    public void exportGccrc(GccrcQueryDTO dto, HttpServletResponse res) ;
    public VSAc01PO queryRyxx(AC01DTO dto);
    public void updateRckzt();
    //查询附件记录
    public PageResult getFjList(GccrcQueryByIdPageDTO dto, int page, int rows);
    //保存附件
    public void saveFj(GccrcFjPO gccrcFjPO);
    //删除附件
    public void delFj(GccrcFjPO gccrcFjPO);
    //删除附件
    public void updateGsqs(GccrcQueryByIdDTO gccrcQueryByIdDTO, String gsqs);
    //导入高层次人才信息
    public Map<String, String> importGccrc(InputStream is) throws Exception;
    //高层次人才信息导入汇总
    public List<Map<String,Integer>> queryGccrcDrhz(DrDTO dto);
    //高层次人才信息导入失败
    public PageResult queryGccrcDrsb(DrDTO dto, int page, int rows);
    //高层次人才信息导入成功
    public PageResult queryGccrcDrcg(DrDTO dto, int page, int rows);
    //导入高层次人才信息
    public Map<String, String> importPhoto(MultipartFile file, String suffix) throws Exception;
    //高层次人才信息导入汇总
    public List<Map<String,Integer>> queryPhotoDrhz(DrDTO dto);
    //高层次人才信息导入失败
    public PageResult queryPhotoDrsb(DrDTO dto, int page, int rows);
    //高层次人才信息导入成功
    public PageResult queryPhotoDrcg(DrDTO dto, int page, int rows);
}
